Page MenuHomePhabricator

When user is saving a page subsequently deleted after they started editing, show them <confirmrecreate‎>
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Open VE on a sandbox
  2. In a different window, delete the sandbox
  3. In the VE window, change the text in the sandbox and save the page

Expected results:
Something similar to the SE, which asks "
User xxx (talk) deleted this article after you started editing it, with a reason of:

blah

Please confirm that you really want to recreate this article." with a checkbox

Actual results:
Backend error message is displayed, and there is no option to ignore this error.


Version: unspecified
Severity: enhancement

Details

Reference
bz52073

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:50 AM
bzimport set Reference to bz52073.
jayvdb created this task.Jul 26 2013, 2:21 AM

The response is now:

Error: The page has been deleted since you fetched its timestamp

I guess we should inherit this message, however. Changing to an enhancement.

I currently get this error in Parsoid:

TypeError: Cannot read property 'length' of null

at Object.result.parse (eval at <anonymous> (/var/www/MediaWiki/Git/extensions/VisualEditor/parsoid/lib/mediawiki.tokenizer.peg.js:97:44), <anonymous>:18347:34)
at PegTokenizer.tokenizeAsync (/var/www/MediaWiki/Git/extensions/VisualEditor/parsoid/lib/mediawiki.tokenizer.peg.js:135:25)
at PegTokenizer._processText (/var/www/MediaWiki/Git/extensions/VisualEditor/parsoid/lib/mediawiki.tokenizer.peg.js:124:8)
at PegTokenizer.process (/var/www/MediaWiki/Git/extensions/VisualEditor/parsoid/lib/mediawiki.tokenizer.peg.js:38:7)
at ParserPipeline.process (/var/www/MediaWiki/Git/extensions/VisualEditor/parsoid/lib/mediawiki.parser.js:439:21)
at ParserPipeline.processToplevelDoc (/var/www/MediaWiki/Git/extensions/VisualEditor/parsoid/lib/mediawiki.parser.js:455:21)
at SSP.parseOriginalSource (/var/www/MediaWiki/Git/extensions/VisualEditor/parsoid/lib/mediawiki.SelectiveSerializer.js:143:17)
at TemplateRequest.<anonymous> (/var/www/MediaWiki/Git/extensions/VisualEditor/parsoid/lib/mediawiki.Util.js:1266:3)
at TemplateRequest.g (events.js:180:16)
at Object.processSome [as _onImmediate] (/var/www/MediaWiki/Git/extensions/VisualEditor/parsoid/lib/mediawiki.ApiRequest.js:123:17)

worker 11363 died (1), restarting.

Change 169976 had a related patch set uploaded by Alex Monk:
Catch pagedeleted errors and give the ability to re-create the page

https://gerrit.wikimedia.org/r/169976

Jdforrester-WMF added a project: VisualEditor.
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Jdforrester-WMF renamed this task from VisualEditor: When user is saving a page subsequently deleted after they started editing, show them <confirmrecreate‎> to When user is saving a page subsequently deleted after they started editing, show them <confirmrecreate‎>.Nov 24 2014, 4:51 AM
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Nov 25 2014, 7:28 PM

Change 169976 merged by jenkins-bot:
Catch pagedeleted errors and give the ability to re-create the page

https://gerrit.wikimedia.org/r/169976

Krenair closed this task as Resolved.Nov 25 2014, 7:43 PM